
Redmine - Defect #13992

Date and Month is misplaced (from dd/mm/yyyy to mm/dd/yyyy) for Due Date field

2013-05-07 10:05 - Hue Nguyen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Date and Month is misplaced it's order from dd/mm/yyyy to mm/dd/yyyy for Due Date field everytime issue is updated.

I am using Redmine version 2.3, Ruby 1.9 and Rail 2.3.13

Everytime i go and update an issue, the date and month is changing, there should be a javascript is running behind that changing the

date format from dd/mm to mm/dd. pls let me know if u are facing the same issue

History

#1 - 2013-05-07 10:19 - Daniel Felix

Maybe this is related to the missing locale.

r11683

#2 - 2013-05-07 10:42 - Hue Nguyen

Hi Daniel, thanks a lot for prompt reply. Below is my en.yml file

date:

    formats:

      default: "%d/%m/%Y" 

      short: "%b %d" 

      long: "%B %d, %Y" 

 
day_names: [Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday]

    abbr_day_names: [Sun, Mon, Tue, Wed, Thu, Fri, Sat]

 
month_names: [~, January, February, March, April, May, June, July, August, September, October, November, Decem

ber]

    abbr_month_names: [~, Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec]

 
order:

      - :day

      - :month

      - :year

 
time:

    formats:

      default: "%d/%m/%Y %I:%M%p" 

      time: "%I:%M %p" 

      short: "%d %b %H:%M" 

      long: "%B %d, %Y %H:%M" 

    am: "am" 

    pm: "pm" 

....

#3 - 2013-05-08 03:07 - Hue Nguyen

Hue Nguyen wrote:

Date and Month is misplaced it's order from dd/mm/yyyy to mm/dd/yyyy for Due Date field everytime issue is updated.

I am using Redmine version 2.3, Ruby 1.9 and Rail 2.3.13

Everytime i go and update an issue, the date and month is changing, there should be a javascript is running behind that changing the date
format from dd/mm to mm/dd. pls let me know if u are facing the same issue. Thanks a lot!

 ----------------------------------------

History

#1 Updated by Redmine Admin 1 minute ago

Due time changed from 05/10/2013 01:03AM to 10/05/2013 01:03AM

Reported timestamp changed from 05/08/2013 01:03AM to 08/05/2013 01:03AM

#2 Updated by Redmine Admin less than a minute ago

Due time changed from 10/05/2013 01:03AM to 05/10/2013 01:03AM

Reported timestamp changed from 08/05/2013 01:03AM to 05/08/2013 01:03AM

#3 Updated by Redmine Admin less than a minute ago

Due time changed from 05/10/2013 01:03AM to 10/05/2013 01:03AM

Reported timestamp changed from 05/08/2013 01:03AM to 08/05/2013 01:03AM

#4 - 2013-05-13 19:20 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Could you post a screenshot of the issue update form? And do you have any plugins?

#5 - 2015-08-23 17:24 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
